//CProfileFeats - [2020-04-13 11:57:47]
#ifndef _CPROFILEFEATS_H_
#define _CPROFILEFEATS_H_

#include "CFTTSerialize.h"

/*
001CF260 CProfileFeats::CProfileFeats()
001CF264 CProfileFeats::~CProfileFeats()
001CF268 CProfileFeats::ReadAchievementIDs()
001CF31C CProfileFeats::SetFeatComplete(int,bool,bool)
001CF320 CProfileFeats::SendAllAchievementsToGooglePlay()
001CF364 CProfileFeats::SendAllAchievementsToFacebook()
001CF394 CProfileFeats::GetProfileFeatsSize()
001CF39A CProfileFeats::Serialize(CFTTSerialize &)
*/

class CProfileFeats {
public:
  CProfileFeats();                         //001CF260
  ~CProfileFeats();                        //001CF264
  void ReadAchievementIDs();               //001CF268
  void SetFeatComplete(int, bool, bool);   //001CF31C
  void SendAllAchievementsToGooglePlay();  //001CF320
  void SendAllAchievementsToFacebook();    //001CF364
  int GetProfileFeatsSize();               //001CF394
  void Serialize(CFTTSerialize &);         //001CF39A
  wchar_t m_data[87][64];
};

#endif  //_CPROFILEFEATS_H_